> For the complete documentation index, see [llms.txt](https://docs.nodeum.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nodeum.io/data-mover/identity-management/ldap-plugin-for-jwt-token.md).

# LDAP Plugin for JWT Token

Map JWT claims to POSIX UID/GID via LDAP lookups, so tasks can run in the user context.

### Definition

Based on a JWT token, the LDAP plugin allows to retrieve a user's uid - gid. The plugin is configurable to specify the unique identifier which is used to retrieve information from the token. The current user's UID and GID values are then retrieved via the LDAP server using this identifier.

### Activation

The LDAP plugin must be activated and configured on the nodes where the dispatcher service is installed.

### Configuration

Define a file named `ldap-mapping.yml` into the folder `/opt/nodeum/plugins/`.

The file has to contain three differents sections: memberUid – groups – persKey.

Each of them can be filled-in with `basedn`, `filter` and `attribute` information. These information has to cope with the LDAP structure.

This following file is an example of `ldap-mapping.yml` file configuration:

```yaml
memberUid:
  basedn: ou=accounts,ou=mysite,dc=my-org,dc=com
  filter: (x-mysite-persKey={{ index (ldapsearch "persKey") 0 }})
  attribute: uid

groups:
  basedn: ou=groups,ou=mysite,dc=my-org,dc=com
  filter: (memberUid={{ index (ldapsearch "memberUid") 0 }})
  attribute: cn

persKey:
  basedn: ou=people,ou=mysite,dc=my-org,dc=com
  filter: (mail={{ .claims.email }}})
  attribute: x-mysite-persKey
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nodeum.io/data-mover/identity-management/ldap-plugin-for-jwt-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
